com.independentsoft.exchange

## Class EntityExtractionResult

- java.lang.Object
- - com.independentsoft.exchange.EntityExtractionResult

-     public class EntityExtractionResult
      extends java.lang.Object

  Represents entity extraction from an item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityExtractionResult()` Initializes a new instance of the TaskSuggestion class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AddressEntity>` | `getAddresses()` Gets a list of AddressEntity elements.
    `java.util.List<ContactEntity>` | `getContacts()` Gets a list of ContactEntity elements.
    `java.util.List<EmailAddressEntity>` | `getEmailAddresses()` Gets a list of EmailAddressEntity elements.
    `java.util.List<MeetingSuggestion>` | `getMeetingSuggestions()` Gets a list of MeetingSuggestion elements.
    `java.util.List<PhoneEntity>` | `getPhoneNumbers()` Gets a list of PhoneEntity elements.
    `java.util.List<TaskSuggestion>` | `getTaskSuggestions()` Gets a list of TaskSuggestions elements.
    `java.util.List<UrlEntity>` | `getUrls()` Gets a list of UrlEntity elements.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityExtractionResult

          public EntityExtractionResult()

      Initializes a new instance of the TaskSuggestion class.

  - ### Method Detail

    - #### getAddresses

          public java.util.List<AddressEntity> getAddresses()

      Gets a list of AddressEntity elements.
      Returns:
        the addresses

    - #### getMeetingSuggestions

          public java.util.List<MeetingSuggestion> getMeetingSuggestions()

      Gets a list of MeetingSuggestion elements.
      Returns:
        the meeting suggestions

    - #### getTaskSuggestions

          public java.util.List<TaskSuggestion> getTaskSuggestions()

      Gets a list of TaskSuggestions elements.
      Returns:
        the task suggestions

    - #### getEmailAddresses

          public java.util.List<EmailAddressEntity> getEmailAddresses()

      Gets a list of EmailAddressEntity elements.
      Returns:
        the email addresses

    - #### getContacts

          public java.util.List<ContactEntity> getContacts()

      Gets a list of ContactEntity elements.
      Returns:
        the contacts

    - #### getUrls

          public java.util.List<UrlEntity> getUrls()

      Gets a list of UrlEntity elements.
      Returns:
        the urls

    - #### getPhoneNumbers

          public java.util.List<PhoneEntity> getPhoneNumbers()

      Gets a list of PhoneEntity elements.
      Returns:
        the phone numbers